
Gisaf - Bug #6649

Shapefile basket: no sign of status

18/09/2018 15:51 - Philippe May

Status: Closed Start date: 18/09/2018

Priority: Normal Due date:  

Assignee: Pavneet Kaur % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

In the admin: the drop down menu shows the list of tables (eg. V_ROAD_CYCP), but we cannot select the status (eg. E for existing,

F for Future).

However, in this example, V_ROAD_CYCP is matched by 2 categories:

R11 (status: E)

R47 (status: F)

Related issues:

Related to Gisaf - Support #7605: No distinct tables for different statuses y... Closed 08/02/2019

Related to Gisaf - Bug #7699: "Internal error" when importing rain data from ... Closed 18/02/2019

Related to Gisaf - Bug #7906: Importing survey data with status: some feature... Closed 14/03/2019

Associated revisions

Revision 68fb4e92 - 11/02/2019 12:28 - Philippe May

Refs #6649: category model maker: only use categories with status 'E' (default)

Revision aadcdd18 - 11/02/2019 16:31 - Philippe May

Refs #6649: fix survey layer inheritence; show correct status info; fix ISO layer name

Revision fe67c36c - 12/02/2019 16:47 - Philippe May

Refs #6649: fix import to respect status in flask-admin: align survey model inheritence with the master branch

Revision abf3925f - 12/02/2019 17:19 - Philippe May

Refs #6649: add status to features in shapefile import

Revision a7f50a1b - 13/02/2019 16:50 - Philippe May

Refs #6649: give status as geo feature property

History

#1 - 18/09/2018 15:59 - Philippe May

It's a bug in Gisaf: it takes the first model (category) matching the table name (identified in ModelRegistry.get_geom_model_from_table_name()).

This function should return a list of model, that's the easy part.

A more difficult part is with the admin interface: display the list of models with all the possible status.

Another thing to take care of: update the existing files in the basket (presumably, set a default status "E").

Technical note: the FileImport model (that stores the information of the files in the basket) has a status attribute, but it's unused.
#2 - 08/02/2019 14:46 - Philippe May

- Related to Support #7605: No distinct tables for different statuses yet (eg. E, F etc) added

#3 - 08/02/2019 16:39 - Philippe May

- File add_status_column.sql added

The most practical solution is probably to add a "status" attribute to all layer's tables.

Add a column status (char) to all layer table (see attachment).

#4 - 11/02/2019 12:30 - Philippe May

- Status changed from New to In Progress

Added status 'E' to all existing features

#5 - 12/02/2019 17:46 - Philippe May

Added status 'E' to all shapefiles in the basket:

update gisaf_admin.file_import set status = 'E';

 

and adjusted manually the status of IZ-01-LL84_V-BLDG-OTLN------F.zip (i think it's the only file until now with a status not 'E').

#6 - 12/02/2019 17:53 - Philippe May

- Status changed from In Progress to Resolved

- Assignee changed from Philippe May to Pavneet Kaur

@Pavneet: tested on my laptop, seems OK, and we can try in "production" when you're ready (i'll probably have to give some explanations, such as

the new field "status" in the basket).

Please also keep in mind that resolving this issue involved quite a few changes in the basket, on the map, also a bit in the database, etc, so i hope i

didn't break many other things.

#7 - 13/02/2019 17:05 - Philippe May

- Status changed from Resolved to Closed

Added the option to style differently with mapbox.

For example, the building outlines: 

http://gisaf.csr.av:8000/old-admin/category/edit/?id=B26&url=%2Fold-admin%2Fcategory%2F%3Fflt0_14%3Doutline

#8 - 18/02/2019 16:34 - Philippe May

- Related to Bug #7699: "Internal error" when importing rain data from Chrisitan (in csv format)  added
#9 - 14/03/2019 12:37 - Philippe May

- Related to Bug #7906: Importing survey data with status: some features aren't displayed added

Files

add_status_column.sql 25.5 KB 08/02/2019 Philippe May
